import { Observable } from 'rxjs';
export interface WakeLockSentinel {
    release: () => Promise<void>;
}
export interface WakeLock {
    request: (type: 'screen') => Promise<WakeLockSentinel>;
}
export interface ExtendedNavigator {
    wakeLock?: WakeLock;
}
/**
 * Subscribe to the returned observable to acquire a [wake lock]{@link https://developer.mozilla.org/en-US/docs/Web/API/Screen_Wake_Lock_API}. The wake lock will be re-acquired whenever the page is visible automatically. Unsubscribe to release it.
 *
 * There are no guarantees about what or when the returned observable emits.
 */
export declare function keepWakeLock$(): Observable<unknown>;
