import { MonoTypeOperatorFunction } from 'rxjs';
/**
 * Allows items through whose keys are distinct from the previous item.
 *
 * ```
 * source:                     |-{a:1,b:2}--{a:2,b:3}--{a:2,c:3}--{b:3}--{b:4}-|
 * distinctUntilKeysChanged(): |-{a:1,b:2}-------------{a:2,c:3}--{b:3}--------|
 * ```
 */
export declare function distinctUntilKeysChanged<T extends object>(): MonoTypeOperatorFunction<T>;
