import { Observable, OperatorFunction } from 'rxjs';
/**
 * Emits the latest value of the given Observable every time the source Observable emits a value.
 *
 * ```
 * source:               -1---2--3------4-|
 * inner:                ---a------b--c---|
 * mapToLastFrom(inner): -----a--a------c-|
 * ```
 */
export declare function mapToLatestFrom<T>(inner$: Observable<T>): OperatorFunction<any, T>;
