import { OperatorFunction } from 'rxjs';
/**
 * Emits the upstream value as the first element in an array, followed by the last `count` values in reverse chronological order.
 *
 * ```
 * source:         -1----2------3--------4--------5--------|
 * withHistory(2): -[1]--[2,1]--[3,2,1]--[4,3,2]--[5,4,3]--|
 * withHistory(0): -[1]--[2]----[3]------[4]------[5]------|
 * ```
 */
export declare function withHistory<T>(count: 0): OperatorFunction<T, [T]>;
export declare function withHistory<T>(count: 1): OperatorFunction<T, [T, T?]>;
export declare function withHistory<T>(count: 2): OperatorFunction<T, [T, T?, T?]>;
export declare function withHistory<T>(count: 3): OperatorFunction<T, [T, T?, T?, T?]>;
export declare function withHistory<T>(count: 4): OperatorFunction<T, [T, T?, T?, T?, T?]>;
export declare function withHistory<T>(count: number): OperatorFunction<T, [T, ...T[]]>;
